Download it now!
Bug 130849 - Show assigned shortcut for Edit > Track Changes > Record menu
Summary: Show assigned shortcut for Edit > Track Changes > Record menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.8.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-21 15:44 UTC by stdedos
Modified: 2020-02-27 14:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
l_o_calc-show-shortcut (74.04 KB, image/png)
2020-02-21 15:44 UTC, stdedos
Details
Screenshot_2020-02-22_02-17-52.png (82.82 KB, image/png)
2020-02-22 00:21 UTC, stdedos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stdedos 2020-02-21 15:44:20 UTC
Description:
Related to https://bugs.documentfoundation.org/show_bug.cgi?id=130847

If indeed https://bugs.documentfoundation.org/show_bug.cgi?id=130847 is true, then further enhance https://bugs.documentfoundation.org/show_bug.cgi?id=130847 by adding any user assigned shortcut to the UI

Actual Results:
 

Expected Results:
 


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 stdedos 2020-02-21 15:44:41 UTC
Created attachment 158083 [details]
l_o_calc-show-shortcut
Comment 2 Timur 2020-02-21 21:59:39 UTC
Poor description, empty actual and expected. 
Please make a proper explanation.
Comment 3 stdedos 2020-02-22 00:21:17 UTC
Created attachment 158095 [details]
Screenshot_2020-02-22_02-17-52.png

I am sorry you don't understand that HERE, I would like to show the shortcut, if it set.

Here https://bugs.documentfoundation.org/attachment.cgi?id=158082 appears to be set; but who knows, maybe the UI is designed like my descriptions.
Comment 4 QA Administrators 2020-02-22 02:50:57 UTC Comment hidden (obsolete)
Comment 5 Julien Nabet 2020-02-22 22:11:30 UTC
Agree with Timur, please just make sentences, instead of just putting references.

Here are examples of good reports (quoted from https://wiki.documentfoundation.org/QA/BugReport):
- https://bugs.documentfoundation.org/show_bug.cgi?id=85004
- https://bugs.documentfoundation.org/show_bug.cgi?id=87907
- https://bugs.documentfoundation.org/show_bug.cgi?id=74839
Comment 6 stdedos 2020-02-24 12:19:20 UTC
There are so many degrees of uncertainty involved (and terminology I am not familiar with), that the only sentences I can make are:

Show the assigned shortcuts on the respective menu action.
It seems that actions that are assigned a shortcut, do not contain the aforementioned shortcut.
Comment 7 QA Administrators 2020-02-25 02:49:39 UTC Comment hidden (obsolete)
Comment 8 Maxim Monastirsky 2020-02-27 13:40:53 UTC
Should be fixed in master with https://cgit.freedesktop.org/libreoffice/core/commit/?id=c1c791967b3c8be2ae36cefa1d0906dbb85add37
Comment 9 stdedos 2020-02-27 13:45:46 UTC
I don't understand how the fix works.

Does this mean that this bug was one-off, or would there be other shortcuts that are assigned by default (or by the user), that will still be not visible?
Comment 10 Maxim Monastirsky 2020-02-27 14:11:19 UTC
(In reply to stdedos from comment #9)
> I don't understand how the fix works.
> 
> Does this mean that this bug was one-off, or would there be other shortcuts
> that are assigned by default (or by the user), that will still be not
> visible?

Here is the problem: Each command can have several shortcuts assigned, but the menu can show only one. So shortcuts are divided into 2 groups: Primary and Secondary. In Primary each command can have a single unique shortcut, which is the one shown in the menu and in toolbar tooltips. All other shortcuts go into Secondary, and not shown in the UI (except in customization).

Now, whoever added the shortcut for the record command made a mistake, and added it into Secondary instead of Primary. That's why the shortcut worked, but was not visible in the menu.